No empty .Rs/.Re
[netbsd-mini2440.git] / crypto / dist / heimdal / lib / hx509 / Makefile.in
blob0614bf8dbfa953dd40ae7ff520fa8167e98dc77f
1 # Makefile.in generated by automake 1.10 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
17 # $Heimdal: Makefile.am 22459 2008-01-15 21:46:20Z lha $
18 # $NetBSD$
20 # $Heimdal: Makefile.am.common 10998 2002-05-19 18:35:37Z joda $
21 # $NetBSD$
23 # $Heimdal: Makefile.am.common 22488 2008-01-21 11:47:22Z lha $
24 # $NetBSD$
28 VPATH = @srcdir@
29 pkgdatadir = $(datadir)/@PACKAGE@
30 pkglibdir = $(libdir)/@PACKAGE@
31 pkgincludedir = $(includedir)/@PACKAGE@
32 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
33 install_sh_DATA = $(install_sh) -c -m 644
34 install_sh_PROGRAM = $(install_sh) -c
35 install_sh_SCRIPT = $(install_sh) -c
36 INSTALL_HEADER = $(INSTALL_DATA)
37 transform = $(program_transform_name)
38 NORMAL_INSTALL = :
39 PRE_INSTALL = :
40 POST_INSTALL = :
41 NORMAL_UNINSTALL = :
42 PRE_UNINSTALL = :
43 POST_UNINSTALL = :
44 build_triplet = @build@
45 host_triplet = @host@
46 DIST_COMMON = $(dist_include_HEADERS) $(srcdir)/Makefile.am \
47 $(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
48 $(top_srcdir)/cf/Makefile.am.common ChangeLog TODO
49 @FRAMEWORK_SECURITY_TRUE@am__append_1 = -framework Security -framework CoreFoundation
50 @versionscript_TRUE@am__append_2 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
51 bin_PROGRAMS = hxtool$(EXEEXT)
52 check_PROGRAMS = $(am__EXEEXT_1) test_soft_pkcs11$(EXEEXT)
53 TESTS = $(SCRIPT_TESTS) $(am__EXEEXT_1)
54 subdir = lib/hx509
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
57 $(top_srcdir)/cf/auth-modules.m4 $(top_srcdir)/cf/autobuild.m4 \
58 $(top_srcdir)/cf/broken-getaddrinfo.m4 \
59 $(top_srcdir)/cf/broken-glob.m4 \
60 $(top_srcdir)/cf/broken-realloc.m4 \
61 $(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
62 $(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
63 $(top_srcdir)/cf/capabilities.m4 \
64 $(top_srcdir)/cf/check-compile-et.m4 \
65 $(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
66 $(top_srcdir)/cf/check-man.m4 \
67 $(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
68 $(top_srcdir)/cf/check-type-extra.m4 \
69 $(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
70 $(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
71 $(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
72 $(top_srcdir)/cf/dlopen.m4 \
73 $(top_srcdir)/cf/find-func-no-libs.m4 \
74 $(top_srcdir)/cf/find-func-no-libs2.m4 \
75 $(top_srcdir)/cf/find-func.m4 \
76 $(top_srcdir)/cf/find-if-not-broken.m4 \
77 $(top_srcdir)/cf/framework-security.m4 \
78 $(top_srcdir)/cf/have-struct-field.m4 \
79 $(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
80 $(top_srcdir)/cf/krb-bigendian.m4 \
81 $(top_srcdir)/cf/krb-func-getlogin.m4 \
82 $(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
83 $(top_srcdir)/cf/krb-readline.m4 \
84 $(top_srcdir)/cf/krb-struct-spwd.m4 \
85 $(top_srcdir)/cf/krb-struct-winsize.m4 \
86 $(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/mips-abi.m4 \
87 $(top_srcdir)/cf/misc.m4 $(top_srcdir)/cf/need-proto.m4 \
88 $(top_srcdir)/cf/osfc2.m4 $(top_srcdir)/cf/otp.m4 \
89 $(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
90 $(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
91 $(top_srcdir)/cf/roken-frag.m4 \
92 $(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
93 $(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
94 $(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
95 $(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
96 $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.in
97 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98 $(ACLOCAL_M4)
99 mkinstalldirs = $(install_sh) -d
100 CONFIG_HEADER = $(top_builddir)/include/config.h
101 CONFIG_CLEAN_FILES =
102 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
103 am__vpath_adj = case $$p in \
104 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
105 *) f=$$p;; \
106 esac;
107 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
108 am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
109 "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"
110 libLTLIBRARIES_INSTALL = $(INSTALL)
111 LTLIBRARIES = $(lib_LTLIBRARIES)
112 am__DEPENDENCIES_1 =
113 libhx509_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
114 $(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1) \
115 $(am__DEPENDENCIES_1)
116 dist_libhx509_la_OBJECTS = libhx509_la-ca.lo libhx509_la-cert.lo \
117 libhx509_la-cms.lo libhx509_la-collector.lo \
118 libhx509_la-crypto.lo libhx509_la-doxygen.lo \
119 libhx509_la-error.lo libhx509_la-env.lo libhx509_la-file.lo \
120 libhx509_la-keyset.lo libhx509_la-ks_dir.lo \
121 libhx509_la-ks_file.lo libhx509_la-ks_mem.lo \
122 libhx509_la-ks_null.lo libhx509_la-ks_p11.lo \
123 libhx509_la-ks_p12.lo libhx509_la-ks_keychain.lo \
124 libhx509_la-lock.lo libhx509_la-name.lo libhx509_la-peer.lo \
125 libhx509_la-print.lo libhx509_la-softp11.lo libhx509_la-req.lo \
126 libhx509_la-revoke.lo
127 am__objects_1 = libhx509_la-asn1_OCSPBasicOCSPResponse.lo \
128 libhx509_la-asn1_OCSPCertID.lo \
129 libhx509_la-asn1_OCSPCertStatus.lo \
130 libhx509_la-asn1_OCSPInnerRequest.lo \
131 libhx509_la-asn1_OCSPKeyHash.lo \
132 libhx509_la-asn1_OCSPRequest.lo \
133 libhx509_la-asn1_OCSPResponderID.lo \
134 libhx509_la-asn1_OCSPResponse.lo \
135 libhx509_la-asn1_OCSPResponseBytes.lo \
136 libhx509_la-asn1_OCSPResponseData.lo \
137 libhx509_la-asn1_OCSPResponseStatus.lo \
138 libhx509_la-asn1_OCSPSignature.lo \
139 libhx509_la-asn1_OCSPSingleResponse.lo \
140 libhx509_la-asn1_OCSPTBSRequest.lo \
141 libhx509_la-asn1_OCSPVersion.lo \
142 libhx509_la-asn1_id_pkix_ocsp.lo \
143 libhx509_la-asn1_id_pkix_ocsp_basic.lo \
144 libhx509_la-asn1_id_pkix_ocsp_nonce.lo
145 am__objects_2 = libhx509_la-asn1_CertificationRequestInfo.lo \
146 libhx509_la-asn1_CertificationRequest.lo
147 am__objects_3 = $(am__objects_1) $(am__objects_2) \
148 libhx509_la-hx509_err.lo
149 nodist_libhx509_la_OBJECTS = $(am__objects_3)
150 libhx509_la_OBJECTS = $(dist_libhx509_la_OBJECTS) \
151 $(nodist_libhx509_la_OBJECTS)
152 libhx509_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
153 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
154 $(libhx509_la_LDFLAGS) $(LDFLAGS) -o $@
155 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
156 am__EXEEXT_1 = test_name$(EXEEXT)
157 PROGRAMS = $(bin_PROGRAMS)
158 dist_hxtool_OBJECTS = hxtool-hxtool.$(OBJEXT)
159 nodist_hxtool_OBJECTS = hxtool-hxtool-commands.$(OBJEXT)
160 hxtool_OBJECTS = $(dist_hxtool_OBJECTS) $(nodist_hxtool_OBJECTS)
161 hxtool_DEPENDENCIES = libhx509.la $(top_builddir)/lib/asn1/libasn1.la \
162 $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
163 $(top_builddir)/lib/sl/libsl.la
164 test_name_SOURCES = test_name.c
165 test_name_OBJECTS = test_name.$(OBJEXT)
166 test_name_LDADD = $(LDADD)
167 test_name_DEPENDENCIES = libhx509.la
168 test_soft_pkcs11_SOURCES = test_soft_pkcs11.c
169 test_soft_pkcs11_OBJECTS = \
170 test_soft_pkcs11-test_soft_pkcs11.$(OBJEXT)
171 test_soft_pkcs11_DEPENDENCIES = libhx509.la
172 DEFAULT_INCLUDES = -I. -I$(top_builddir)/include@am__isrc@
173 depcomp =
174 am__depfiles_maybe =
175 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
176 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
177 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
178 --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
179 $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180 CCLD = $(CC)
181 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
182 --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
183 $(LDFLAGS) -o $@
184 SOURCES = $(dist_libhx509_la_SOURCES) $(nodist_libhx509_la_SOURCES) \
185 $(dist_hxtool_SOURCES) $(nodist_hxtool_SOURCES) test_name.c \
186 test_soft_pkcs11.c
187 DIST_SOURCES = $(dist_libhx509_la_SOURCES) $(dist_hxtool_SOURCES) \
188 test_name.c test_soft_pkcs11.c
189 dist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
190 nodist_includeHEADERS_INSTALL = $(INSTALL_HEADER)
191 HEADERS = $(dist_include_HEADERS) $(nodist_include_HEADERS)
192 ETAGS = etags
193 CTAGS = ctags
194 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
195 ACLOCAL = @ACLOCAL@
196 AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
197 AMTAR = @AMTAR@
198 AR = @AR@
199 AUTOCONF = @AUTOCONF@
200 AUTOHEADER = @AUTOHEADER@
201 AUTOMAKE = @AUTOMAKE@
202 AWK = @AWK@
203 CANONICAL_HOST = @CANONICAL_HOST@
204 CATMAN = @CATMAN@
205 CATMANEXT = @CATMANEXT@
206 CC = @CC@
207 CFLAGS = @CFLAGS@
208 COMPILE_ET = @COMPILE_ET@
209 CPP = @CPP@
210 CPPFLAGS = @CPPFLAGS@
211 CXX = @CXX@
212 CXXCPP = @CXXCPP@
213 CXXFLAGS = @CXXFLAGS@
214 CYGPATH_W = @CYGPATH_W@
215 DBLIB = @DBLIB@
216 DEFS = @DEFS@
217 DIR_com_err = @DIR_com_err@
218 DIR_hcrypto = @DIR_hcrypto@
219 DIR_hdbdir = @DIR_hdbdir@
220 DIR_roken = @DIR_roken@
221 ECHO = @ECHO@
222 ECHO_C = @ECHO_C@
223 ECHO_N = @ECHO_N@
224 ECHO_T = @ECHO_T@
225 EGREP = @EGREP@
226 EXEEXT = @EXEEXT@
227 F77 = @F77@
228 FFLAGS = @FFLAGS@
229 GREP = @GREP@
230 GROFF = @GROFF@
231 INCLUDES_roken = @INCLUDES_roken@
232 INCLUDE_hcrypto = @INCLUDE_hcrypto@
233 INCLUDE_hesiod = @INCLUDE_hesiod@
234 INCLUDE_krb4 = @INCLUDE_krb4@
235 INCLUDE_openldap = @INCLUDE_openldap@
236 INCLUDE_readline = @INCLUDE_readline@
237 INSTALL = @INSTALL@
238 INSTALL_DATA = @INSTALL_DATA@
239 INSTALL_PROGRAM = @INSTALL_PROGRAM@
240 INSTALL_SCRIPT = @INSTALL_SCRIPT@
241 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
242 LDFLAGS = @LDFLAGS@
243 LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
244 LEX = @LEX@
245 LEXLIB = @LEXLIB@
246 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
247 LIBADD_roken = @LIBADD_roken@
248 LIBOBJS = @LIBOBJS@
249 LIBS = @LIBS@
250 LIBTOOL = @LIBTOOL@
251 LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
252 LIB_NDBM = @LIB_NDBM@
253 LIB_XauFileName = @LIB_XauFileName@
254 LIB_XauReadAuth = @LIB_XauReadAuth@
255 LIB_XauWriteAuth = @LIB_XauWriteAuth@
256 LIB_bswap16 = @LIB_bswap16@
257 LIB_bswap32 = @LIB_bswap32@
258 LIB_com_err = @LIB_com_err@
259 LIB_com_err_a = @LIB_com_err_a@
260 LIB_com_err_so = @LIB_com_err_so@
261 LIB_crypt = @LIB_crypt@
262 LIB_db_create = @LIB_db_create@
263 LIB_dbm_firstkey = @LIB_dbm_firstkey@
264 LIB_dbopen = @LIB_dbopen@
265 LIB_dlopen = @LIB_dlopen@
266 LIB_dn_expand = @LIB_dn_expand@
267 LIB_door_create = @LIB_door_create@
268 LIB_el_init = @LIB_el_init@
269 LIB_freeaddrinfo = @LIB_freeaddrinfo@
270 LIB_gai_strerror = @LIB_gai_strerror@
271 LIB_getaddrinfo = @LIB_getaddrinfo@
272 LIB_gethostbyname = @LIB_gethostbyname@
273 LIB_gethostbyname2 = @LIB_gethostbyname2@
274 LIB_getnameinfo = @LIB_getnameinfo@
275 LIB_getpwnam_r = @LIB_getpwnam_r@
276 LIB_getsockopt = @LIB_getsockopt@
277 LIB_hcrypto = @LIB_hcrypto@
278 LIB_hcrypto_a = @LIB_hcrypto_a@
279 LIB_hcrypto_appl = @LIB_hcrypto_appl@
280 LIB_hcrypto_so = @LIB_hcrypto_so@
281 LIB_hesiod = @LIB_hesiod@
282 LIB_hstrerror = @LIB_hstrerror@
283 LIB_kdb = @LIB_kdb@
284 LIB_krb4 = @LIB_krb4@
285 LIB_loadquery = @LIB_loadquery@
286 LIB_logout = @LIB_logout@
287 LIB_logwtmp = @LIB_logwtmp@
288 LIB_openldap = @LIB_openldap@
289 LIB_openpty = @LIB_openpty@
290 LIB_otp = @LIB_otp@
291 LIB_pidfile = @LIB_pidfile@
292 LIB_readline = @LIB_readline@
293 LIB_res_ndestroy = @LIB_res_ndestroy@
294 LIB_res_nsearch = @LIB_res_nsearch@
295 LIB_res_search = @LIB_res_search@
296 LIB_roken = @LIB_roken@
297 LIB_security = @LIB_security@
298 LIB_setsockopt = @LIB_setsockopt@
299 LIB_socket = @LIB_socket@
300 LIB_syslog = @LIB_syslog@
301 LIB_tgetent = @LIB_tgetent@
302 LN_S = @LN_S@
303 LTLIBOBJS = @LTLIBOBJS@
304 MAINT = @MAINT@
305 MAKEINFO = @MAKEINFO@
306 MKDIR_P = @MKDIR_P@
307 NROFF = @NROFF@
308 OBJEXT = @OBJEXT@
309 PACKAGE = @PACKAGE@
310 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
311 PACKAGE_NAME = @PACKAGE_NAME@
312 PACKAGE_STRING = @PACKAGE_STRING@
313 PACKAGE_TARNAME = @PACKAGE_TARNAME@
314 PACKAGE_VERSION = @PACKAGE_VERSION@
315 PATH_SEPARATOR = @PATH_SEPARATOR@
316 PTHREADS_CFLAGS = @PTHREADS_CFLAGS@
317 PTHREADS_LIBS = @PTHREADS_LIBS@
318 RANLIB = @RANLIB@
319 SET_MAKE = @SET_MAKE@
320 SHELL = @SHELL@
321 STRIP = @STRIP@
322 VERSION = @VERSION@
323 VERSIONING = @VERSIONING@
324 VOID_RETSIGTYPE = @VOID_RETSIGTYPE@
325 WFLAGS = @WFLAGS@
326 WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
327 WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
328 XMKMF = @XMKMF@
329 X_CFLAGS = @X_CFLAGS@
330 X_EXTRA_LIBS = @X_EXTRA_LIBS@
331 X_LIBS = @X_LIBS@
332 X_PRE_LIBS = @X_PRE_LIBS@
333 YACC = @YACC@
334 YFLAGS = @YFLAGS@
335 abs_builddir = @abs_builddir@
336 abs_srcdir = @abs_srcdir@
337 abs_top_builddir = @abs_top_builddir@
338 abs_top_srcdir = @abs_top_srcdir@
339 ac_ct_CC = @ac_ct_CC@
340 ac_ct_CXX = @ac_ct_CXX@
341 ac_ct_F77 = @ac_ct_F77@
342 am__leading_dot = @am__leading_dot@
343 am__tar = @am__tar@
344 am__untar = @am__untar@
345 bindir = @bindir@
346 build = @build@
347 build_alias = @build_alias@
348 build_cpu = @build_cpu@
349 build_os = @build_os@
350 build_vendor = @build_vendor@
351 builddir = @builddir@
352 datadir = @datadir@
353 datarootdir = @datarootdir@
354 docdir = @docdir@
355 dpagaix_cflags = @dpagaix_cflags@
356 dpagaix_ldadd = @dpagaix_ldadd@
357 dpagaix_ldflags = @dpagaix_ldflags@
358 dvidir = @dvidir@
359 exec_prefix = @exec_prefix@
360 host = @host@
361 host_alias = @host_alias@
362 host_cpu = @host_cpu@
363 host_os = @host_os@
364 host_vendor = @host_vendor@
365 htmldir = @htmldir@
366 includedir = @includedir@
367 infodir = @infodir@
368 install_sh = @install_sh@
369 libdir = @libdir@
370 libexecdir = @libexecdir@
371 localedir = @localedir@
372 localstatedir = @localstatedir@
373 mandir = @mandir@
374 mkdir_p = @mkdir_p@
375 oldincludedir = @oldincludedir@
376 pdfdir = @pdfdir@
377 prefix = @prefix@
378 program_transform_name = @program_transform_name@
379 psdir = @psdir@
380 sbindir = @sbindir@
381 sharedstatedir = @sharedstatedir@
382 srcdir = @srcdir@
383 sysconfdir = @sysconfdir@
384 target_alias = @target_alias@
385 top_builddir = @top_builddir@
386 top_srcdir = @top_srcdir@
387 SUFFIXES = .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
388 AM_CPPFLAGS = -I$(top_builddir)/include $(INCLUDES_roken)
389 @do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
390 AM_CFLAGS = $(WFLAGS)
391 CP = cp
392 buildinclude = $(top_builddir)/include
393 LIB_getattr = @LIB_getattr@
394 LIB_getpwent_r = @LIB_getpwent_r@
395 LIB_odm_initialize = @LIB_odm_initialize@
396 LIB_setpcred = @LIB_setpcred@
397 HESIODLIB = @HESIODLIB@
398 HESIODINCLUDE = @HESIODINCLUDE@
399 NROFF_MAN = groff -mandoc -Tascii
400 LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
401 @KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
402 @KRB5_TRUE@ $(top_builddir)/lib/asn1/libasn1.la
404 @KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
405 @KRB5_TRUE@LIB_tsasl = $(top_builddir)/lib/tsasl/libtsasl.la
406 @DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
407 lib_LTLIBRARIES = libhx509.la
408 libhx509_la_LDFLAGS = -version-info 3:0:0 $(am__append_1) \
409 $(am__append_2)
410 BUILT_SOURCES = \
411 $(gen_files_ocsp:.x=.c) \
412 $(gen_files_pkcs10:.x=.c) \
413 hx509_err.c \
414 hx509_err.h
416 gen_files_ocsp = \
417 asn1_OCSPBasicOCSPResponse.x \
418 asn1_OCSPCertID.x \
419 asn1_OCSPCertStatus.x \
420 asn1_OCSPInnerRequest.x \
421 asn1_OCSPKeyHash.x \
422 asn1_OCSPRequest.x \
423 asn1_OCSPResponderID.x \
424 asn1_OCSPResponse.x \
425 asn1_OCSPResponseBytes.x \
426 asn1_OCSPResponseData.x \
427 asn1_OCSPResponseStatus.x \
428 asn1_OCSPSignature.x \
429 asn1_OCSPSingleResponse.x \
430 asn1_OCSPTBSRequest.x \
431 asn1_OCSPVersion.x \
432 asn1_id_pkix_ocsp.x \
433 asn1_id_pkix_ocsp_basic.x \
434 asn1_id_pkix_ocsp_nonce.x
436 gen_files_pkcs10 = \
437 asn1_CertificationRequestInfo.x \
438 asn1_CertificationRequest.x
440 gen_files_crmf = \
441 asn1_CRMFRDNSequence.x \
442 asn1_CertReqMessages.x \
443 asn1_CertReqMsg.x \
444 asn1_CertRequest.x \
445 asn1_CertTemplate.x \
446 asn1_Controls.x \
447 asn1_PBMParameter.x \
448 asn1_PKMACValue.x \
449 asn1_POPOPrivKey.x \
450 asn1_POPOSigningKey.x \
451 asn1_POPOSigningKeyInput.x \
452 asn1_ProofOfPossession.x \
453 asn1_SubsequentMessage.x
455 dist_libhx509_la_SOURCES = \
456 ca.c \
457 cert.c \
458 cms.c \
459 collector.c \
460 crypto.c \
461 doxygen.c \
462 error.c \
463 env.c \
464 file.c \
465 hx509-private.h \
466 hx509-protos.h \
467 hx509.h \
468 hx_locl.h \
469 keyset.c \
470 ks_dir.c \
471 ks_file.c \
472 ks_mem.c \
473 ks_null.c \
474 ks_p11.c \
475 ks_p12.c \
476 ks_keychain.c \
477 lock.c \
478 name.c \
479 peer.c \
480 print.c \
481 softp11.c \
482 ref/pkcs11.h \
483 req.c \
484 revoke.c
486 libhx509_la_LIBADD = \
487 $(LIB_com_err) \
488 $(LIB_hcrypto) \
489 $(top_builddir)/lib/asn1/libasn1.la \
490 $(LIBADD_roken) \
491 $(LIB_dlopen)
493 libhx509_la_CPPFLAGS = -I$(srcdir)/ref $(INCLUDE_hcrypto)
494 nodist_libhx509_la_SOURCES = $(BUILT_SOURCES)
495 asn1_compile = ../asn1/asn1_compile$(EXEEXT)
496 dist_include_HEADERS = hx509.h hx509-protos.h
497 nodist_include_HEADERS = hx509_err.h
498 SLC = $(top_builddir)/lib/sl/slc
499 dist_hxtool_SOURCES = hxtool.c
500 nodist_hxtool_SOURCES = hxtool-commands.c hxtool-commands.h
501 hxtool_CPPFLAGS = $(INCLUDE_hcrypto)
502 hxtool_LDADD = \
503 libhx509.la \
504 $(top_builddir)/lib/asn1/libasn1.la \
505 $(LIB_hcrypto) \
506 $(LIB_roken) \
507 $(top_builddir)/lib/sl/libsl.la
509 CLEANFILES = $(BUILT_SOURCES) \
510 $(gen_files_ocsp) ocsp_asn1_files ocsp_asn1.h \
511 $(gen_files_pkcs10) pkcs10_asn1_files pkcs10_asn1.h \
512 $(gen_files_crmf) crmf_asn1_files crmf_asn1.h \
513 $(TESTS) \
514 hxtool-commands.c hxtool-commands.h *.tmp \
515 request.out \
516 out.pem out2.pem \
517 sd.data sd.data.out \
518 ev.data ev.data.out \
519 cert-null.pem cert-sub-ca2.pem \
520 cert-ee.pem cert-ca.pem \
521 cert-sub-ee.pem cert-sub-ca.pem \
522 cert-proxy.der cert-ca.der cert-ee.der pkcs10-request.der \
523 wca.pem wuser.pem wdc.pem wcrl.crl \
524 random-data statfile crl.crl \
525 test p11dbg.log pkcs11.cfg \
526 test-rc-file.rc
530 # regression tests
532 check_SCRIPTS = $(SCRIPT_TESTS)
533 LDADD = libhx509.la
534 test_soft_pkcs11_LDADD = libhx509.la
535 test_soft_pkcs11_CPPFLAGS = -I$(srcdir)/ref
536 PROGRAM_TESTS = \
537 test_name
539 SCRIPT_TESTS = \
540 test_ca \
541 test_cert \
542 test_chain \
543 test_cms \
544 test_crypto \
545 test_nist \
546 test_nist2 \
547 test_pkcs11 \
548 test_java_pkcs11 \
549 test_nist_cert \
550 test_nist_pkcs12 \
551 test_req \
552 test_windows \
553 test_query
555 do_subst = sed -e 's,[@]srcdir[@],$(srcdir),g' \
556 -e 's,[@]objdir[@],$(top_builddir)/lib/hx509,g'
558 EXTRA_DIST = \
559 version-script.map \
560 crmf.asn1 \
561 data/bleichenbacher-bad.pem \
562 hx509_err.et \
563 hxtool-commands.in \
564 ocsp.asn1 \
565 pkcs10.asn1 \
566 test_ca.in \
567 test_chain.in \
568 test_cert.in \
569 test_cms.in \
570 test_crypto.in \
571 test_nist.in \
572 test_nist2.in \
573 test_nist_cert.in \
574 test_nist_pkcs12.in \
575 test_pkcs11.in \
576 test_java_pkcs11.in \
577 test_query.in \
578 test_req.in \
579 test_windows.in \
580 tst-crypto-available1 \
581 tst-crypto-available2 \
582 tst-crypto-available3 \
583 tst-crypto-select \
584 tst-crypto-select1 \
585 tst-crypto-select2 \
586 tst-crypto-select3 \
587 tst-crypto-select4 \
588 tst-crypto-select5 \
589 tst-crypto-select6 \
590 tst-crypto-select7 \
591 data/bleichenbacher-good.pem \
592 data/bleichenbacher-sf-pad-correct.pem \
593 data/ca.crt \
594 data/ca.key \
595 data/crl1.crl \
596 data/crl1.der \
597 data/gen-req.sh \
598 data/j.pem \
599 data/kdc.crt \
600 data/kdc.key \
601 data/key.der \
602 data/key2.der \
603 data/nist-data \
604 data/nist-data2 \
605 data/no-proxy-test.crt \
606 data/no-proxy-test.key \
607 data/ocsp-req1.der \
608 data/ocsp-req2.der \
609 data/ocsp-resp1-2.der \
610 data/ocsp-resp1-3.der \
611 data/ocsp-resp1-ca.der \
612 data/ocsp-resp1-keyhash.der \
613 data/ocsp-resp1-ocsp-no-cert.der \
614 data/ocsp-resp1-ocsp.der \
615 data/ocsp-resp1.der \
616 data/ocsp-resp2.der \
617 data/ocsp-responder.crt \
618 data/ocsp-responder.key \
619 data/openssl.cnf \
620 data/pkinit-proxy-chain.crt \
621 data/pkinit-proxy.crt \
622 data/pkinit-proxy.key \
623 data/pkinit-pw.key \
624 data/pkinit.crt \
625 data/pkinit.key \
626 data/proxy-level-test.crt \
627 data/proxy-level-test.key \
628 data/proxy-test.crt \
629 data/proxy-test.key \
630 data/proxy10-child-test.crt \
631 data/proxy10-child-test.key \
632 data/proxy10-child-child-test.crt \
633 data/proxy10-child-child-test.key \
634 data/proxy10-test.crt \
635 data/proxy10-test.key \
636 data/revoke.crt \
637 data/revoke.key \
638 data/sf-class2-root.pem \
639 data/static-file \
640 data/sub-ca.crt \
641 data/sub-ca.key \
642 data/sub-cert.crt \
643 data/sub-cert.key \
644 data/sub-cert.p12 \
645 data/test-ds-only.crt \
646 data/test-ds-only.key \
647 data/test-enveloped-aes-128 \
648 data/test-enveloped-aes-256 \
649 data/test-enveloped-des \
650 data/test-enveloped-des-ede3 \
651 data/test-enveloped-rc2-128 \
652 data/test-enveloped-rc2-40 \
653 data/test-enveloped-rc2-64 \
654 data/test-ke-only.crt \
655 data/test-ke-only.key \
656 data/test-nopw.p12 \
657 data/test-pw.key \
658 data/test-signed-data \
659 data/test-signed-data-noattr \
660 data/test-signed-data-noattr-nocerts \
661 data/test.combined.crt \
662 data/test.crt \
663 data/test.key \
664 data/test.p12 \
665 data/yutaka-pad-broken-ca.pem \
666 data/yutaka-pad-broken-cert.pem \
667 data/yutaka-pad-ok-ca.pem \
668 data/yutaka-pad-ok-cert.pem \
669 data/yutaka-pad.key
671 all: $(BUILT_SOURCES)
672 $(MAKE) $(AM_MAKEFLAGS) all-am
674 .SUFFIXES:
675 .SUFFIXES: .et .h .x .z .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
676 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
677 @for dep in $?; do \
678 case '$(am__configure_deps)' in \
679 *$$dep*) \
680 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
681 && exit 0; \
682 exit 1;; \
683 esac; \
684 done; \
685 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign --ignore-deps lib/hx509/Makefile'; \
686 cd $(top_srcdir) && \
687 $(AUTOMAKE) --foreign --ignore-deps lib/hx509/Makefile
688 .PRECIOUS: Makefile
689 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
690 @case '$?' in \
691 *config.status*) \
692 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
693 *) \
694 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
695 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
696 esac;
698 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
699 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
701 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
702 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
703 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
704 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
705 install-libLTLIBRARIES: $(lib_LTLIBRARIES)
706 @$(NORMAL_INSTALL)
707 test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
708 @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
709 if test -f $$p; then \
710 f=$(am__strip_dir) \
711 echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
712 $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
713 else :; fi; \
714 done
716 uninstall-libLTLIBRARIES:
717 @$(NORMAL_UNINSTALL)
718 @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
719 p=$(am__strip_dir) \
720 echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
721 $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
722 done
724 clean-libLTLIBRARIES:
725 -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
726 @list='$(lib_LTLIBRARIES)'; for p in $$list; do \
727 dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
728 test "$$dir" != "$$p" || dir=.; \
729 echo "rm -f \"$${dir}/so_locations\""; \
730 rm -f "$${dir}/so_locations"; \
731 done
732 libhx509.la: $(libhx509_la_OBJECTS) $(libhx509_la_DEPENDENCIES)
733 $(libhx509_la_LINK) -rpath $(libdir) $(libhx509_la_OBJECTS) $(libhx509_la_LIBADD) $(LIBS)
734 install-binPROGRAMS: $(bin_PROGRAMS)
735 @$(NORMAL_INSTALL)
736 test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
737 @list='$(bin_PROGRAMS)'; for p in $$list; do \
738 p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
739 if test -f $$p \
740 || test -f $$p1 \
741 ; then \
742 f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
743 echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
744 $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
745 else :; fi; \
746 done
748 uninstall-binPROGRAMS:
749 @$(NORMAL_UNINSTALL)
750 @list='$(bin_PROGRAMS)'; for p in $$list; do \
751 f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
752 echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
753 rm -f "$(DESTDIR)$(bindir)/$$f"; \
754 done
756 clean-binPROGRAMS:
757 @list='$(bin_PROGRAMS)'; for p in $$list; do \
758 f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
759 echo " rm -f $$p $$f"; \
760 rm -f $$p $$f ; \
761 done
763 clean-checkPROGRAMS:
764 @list='$(check_PROGRAMS)'; for p in $$list; do \
765 f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
766 echo " rm -f $$p $$f"; \
767 rm -f $$p $$f ; \
768 done
769 hxtool$(EXEEXT): $(hxtool_OBJECTS) $(hxtool_DEPENDENCIES)
770 @rm -f hxtool$(EXEEXT)
771 $(LINK) $(hxtool_OBJECTS) $(hxtool_LDADD) $(LIBS)
772 test_name$(EXEEXT): $(test_name_OBJECTS) $(test_name_DEPENDENCIES)
773 @rm -f test_name$(EXEEXT)
774 $(LINK) $(test_name_OBJECTS) $(test_name_LDADD) $(LIBS)
775 test_soft_pkcs11$(EXEEXT): $(test_soft_pkcs11_OBJECTS) $(test_soft_pkcs11_DEPENDENCIES)
776 @rm -f test_soft_pkcs11$(EXEEXT)
777 $(LINK) $(test_soft_pkcs11_OBJECTS) $(test_soft_pkcs11_LDADD) $(LIBS)
779 mostlyclean-compile:
780 -rm -f *.$(OBJEXT)
782 distclean-compile:
783 -rm -f *.tab.c
785 .c.o:
786 $(COMPILE) -c $<
788 .c.obj:
789 $(COMPILE) -c `$(CYGPATH_W) '$<'`
791 .c.lo:
792 $(LTCOMPILE) -c -o $@ $<
794 libhx509_la-ca.lo: ca.c
795 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ca.lo `test -f 'ca.c' || echo '$(srcdir)/'`ca.c
797 libhx509_la-cert.lo: cert.c
798 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-cert.lo `test -f 'cert.c' || echo '$(srcdir)/'`cert.c
800 libhx509_la-cms.lo: cms.c
801 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-cms.lo `test -f 'cms.c' || echo '$(srcdir)/'`cms.c
803 libhx509_la-collector.lo: collector.c
804 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-collector.lo `test -f 'collector.c' || echo '$(srcdir)/'`collector.c
806 libhx509_la-crypto.lo: crypto.c
807 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-crypto.lo `test -f 'crypto.c' || echo '$(srcdir)/'`crypto.c
809 libhx509_la-doxygen.lo: doxygen.c
810 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-doxygen.lo `test -f 'doxygen.c' || echo '$(srcdir)/'`doxygen.c
812 libhx509_la-error.lo: error.c
813 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
815 libhx509_la-env.lo: env.c
816 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-env.lo `test -f 'env.c' || echo '$(srcdir)/'`env.c
818 libhx509_la-file.lo: file.c
819 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-file.lo `test -f 'file.c' || echo '$(srcdir)/'`file.c
821 libhx509_la-keyset.lo: keyset.c
822 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-keyset.lo `test -f 'keyset.c' || echo '$(srcdir)/'`keyset.c
824 libhx509_la-ks_dir.lo: ks_dir.c
825 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_dir.lo `test -f 'ks_dir.c' || echo '$(srcdir)/'`ks_dir.c
827 libhx509_la-ks_file.lo: ks_file.c
828 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_file.lo `test -f 'ks_file.c' || echo '$(srcdir)/'`ks_file.c
830 libhx509_la-ks_mem.lo: ks_mem.c
831 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_mem.lo `test -f 'ks_mem.c' || echo '$(srcdir)/'`ks_mem.c
833 libhx509_la-ks_null.lo: ks_null.c
834 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_null.lo `test -f 'ks_null.c' || echo '$(srcdir)/'`ks_null.c
836 libhx509_la-ks_p11.lo: ks_p11.c
837 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_p11.lo `test -f 'ks_p11.c' || echo '$(srcdir)/'`ks_p11.c
839 libhx509_la-ks_p12.lo: ks_p12.c
840 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_p12.lo `test -f 'ks_p12.c' || echo '$(srcdir)/'`ks_p12.c
842 libhx509_la-ks_keychain.lo: ks_keychain.c
843 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-ks_keychain.lo `test -f 'ks_keychain.c' || echo '$(srcdir)/'`ks_keychain.c
845 libhx509_la-lock.lo: lock.c
846 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-lock.lo `test -f 'lock.c' || echo '$(srcdir)/'`lock.c
848 libhx509_la-name.lo: name.c
849 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-name.lo `test -f 'name.c' || echo '$(srcdir)/'`name.c
851 libhx509_la-peer.lo: peer.c
852 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-peer.lo `test -f 'peer.c' || echo '$(srcdir)/'`peer.c
854 libhx509_la-print.lo: print.c
855 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-print.lo `test -f 'print.c' || echo '$(srcdir)/'`print.c
857 libhx509_la-softp11.lo: softp11.c
858 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-softp11.lo `test -f 'softp11.c' || echo '$(srcdir)/'`softp11.c
860 libhx509_la-req.lo: req.c
861 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-req.lo `test -f 'req.c' || echo '$(srcdir)/'`req.c
863 libhx509_la-revoke.lo: revoke.c
864 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-revoke.lo `test -f 'revoke.c' || echo '$(srcdir)/'`revoke.c
866 libhx509_la-asn1_OCSPBasicOCSPResponse.lo: asn1_OCSPBasicOCSPResponse.c
867 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPBasicOCSPResponse.lo `test -f 'asn1_OCSPBasicOCSPResponse.c' || echo '$(srcdir)/'`asn1_OCSPBasicOCSPResponse.c
869 libhx509_la-asn1_OCSPCertID.lo: asn1_OCSPCertID.c
870 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPCertID.lo `test -f 'asn1_OCSPCertID.c' || echo '$(srcdir)/'`asn1_OCSPCertID.c
872 libhx509_la-asn1_OCSPCertStatus.lo: asn1_OCSPCertStatus.c
873 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPCertStatus.lo `test -f 'asn1_OCSPCertStatus.c' || echo '$(srcdir)/'`asn1_OCSPCertStatus.c
875 libhx509_la-asn1_OCSPInnerRequest.lo: asn1_OCSPInnerRequest.c
876 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPInnerRequest.lo `test -f 'asn1_OCSPInnerRequest.c' || echo '$(srcdir)/'`asn1_OCSPInnerRequest.c
878 libhx509_la-asn1_OCSPKeyHash.lo: asn1_OCSPKeyHash.c
879 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPKeyHash.lo `test -f 'asn1_OCSPKeyHash.c' || echo '$(srcdir)/'`asn1_OCSPKeyHash.c
881 libhx509_la-asn1_OCSPRequest.lo: asn1_OCSPRequest.c
882 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPRequest.lo `test -f 'asn1_OCSPRequest.c' || echo '$(srcdir)/'`asn1_OCSPRequest.c
884 libhx509_la-asn1_OCSPResponderID.lo: asn1_OCSPResponderID.c
885 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponderID.lo `test -f 'asn1_OCSPResponderID.c' || echo '$(srcdir)/'`asn1_OCSPResponderID.c
887 libhx509_la-asn1_OCSPResponse.lo: asn1_OCSPResponse.c
888 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponse.lo `test -f 'asn1_OCSPResponse.c' || echo '$(srcdir)/'`asn1_OCSPResponse.c
890 libhx509_la-asn1_OCSPResponseBytes.lo: asn1_OCSPResponseBytes.c
891 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponseBytes.lo `test -f 'asn1_OCSPResponseBytes.c' || echo '$(srcdir)/'`asn1_OCSPResponseBytes.c
893 libhx509_la-asn1_OCSPResponseData.lo: asn1_OCSPResponseData.c
894 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponseData.lo `test -f 'asn1_OCSPResponseData.c' || echo '$(srcdir)/'`asn1_OCSPResponseData.c
896 libhx509_la-asn1_OCSPResponseStatus.lo: asn1_OCSPResponseStatus.c
897 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPResponseStatus.lo `test -f 'asn1_OCSPResponseStatus.c' || echo '$(srcdir)/'`asn1_OCSPResponseStatus.c
899 libhx509_la-asn1_OCSPSignature.lo: asn1_OCSPSignature.c
900 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPSignature.lo `test -f 'asn1_OCSPSignature.c' || echo '$(srcdir)/'`asn1_OCSPSignature.c
902 libhx509_la-asn1_OCSPSingleResponse.lo: asn1_OCSPSingleResponse.c
903 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPSingleResponse.lo `test -f 'asn1_OCSPSingleResponse.c' || echo '$(srcdir)/'`asn1_OCSPSingleResponse.c
905 libhx509_la-asn1_OCSPTBSRequest.lo: asn1_OCSPTBSRequest.c
906 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPTBSRequest.lo `test -f 'asn1_OCSPTBSRequest.c' || echo '$(srcdir)/'`asn1_OCSPTBSRequest.c
908 libhx509_la-asn1_OCSPVersion.lo: asn1_OCSPVersion.c
909 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_OCSPVersion.lo `test -f 'asn1_OCSPVersion.c' || echo '$(srcdir)/'`asn1_OCSPVersion.c
911 libhx509_la-asn1_id_pkix_ocsp.lo: asn1_id_pkix_ocsp.c
912 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_id_pkix_ocsp.lo `test -f 'asn1_id_pkix_ocsp.c' || echo '$(srcdir)/'`asn1_id_pkix_ocsp.c
914 libhx509_la-asn1_id_pkix_ocsp_basic.lo: asn1_id_pkix_ocsp_basic.c
915 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_id_pkix_ocsp_basic.lo `test -f 'asn1_id_pkix_ocsp_basic.c' || echo '$(srcdir)/'`asn1_id_pkix_ocsp_basic.c
917 libhx509_la-asn1_id_pkix_ocsp_nonce.lo: asn1_id_pkix_ocsp_nonce.c
918 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_id_pkix_ocsp_nonce.lo `test -f 'asn1_id_pkix_ocsp_nonce.c' || echo '$(srcdir)/'`asn1_id_pkix_ocsp_nonce.c
920 libhx509_la-asn1_CertificationRequestInfo.lo: asn1_CertificationRequestInfo.c
921 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_CertificationRequestInfo.lo `test -f 'asn1_CertificationRequestInfo.c' || echo '$(srcdir)/'`asn1_CertificationRequestInfo.c
923 libhx509_la-asn1_CertificationRequest.lo: asn1_CertificationRequest.c
924 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-asn1_CertificationRequest.lo `test -f 'asn1_CertificationRequest.c' || echo '$(srcdir)/'`asn1_CertificationRequest.c
926 libhx509_la-hx509_err.lo: hx509_err.c
927 $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libhx509_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libhx509_la-hx509_err.lo `test -f 'hx509_err.c' || echo '$(srcdir)/'`hx509_err.c
929 hxtool-hxtool.o: hxtool.c
930 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool.o `test -f 'hxtool.c' || echo '$(srcdir)/'`hxtool.c
932 hxtool-hxtool.obj: hxtool.c
933 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool.obj `if test -f 'hxtool.c'; then $(CYGPATH_W) 'hxtool.c'; else $(CYGPATH_W) '$(srcdir)/hxtool.c'; fi`
935 hxtool-hxtool-commands.o: hxtool-commands.c
936 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool-commands.o `test -f 'hxtool-commands.c' || echo '$(srcdir)/'`hxtool-commands.c
938 hxtool-hxtool-commands.obj: hxtool-commands.c
939 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hxtool_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hxtool-hxtool-commands.obj `if test -f 'hxtool-commands.c'; then $(CYGPATH_W) 'hxtool-commands.c'; else $(CYGPATH_W) '$(srcdir)/hxtool-commands.c'; fi`
941 test_soft_pkcs11-test_soft_pkcs11.o: test_soft_pkcs11.c
942 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_soft_pkcs11_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_soft_pkcs11-test_soft_pkcs11.o `test -f 'test_soft_pkcs11.c' || echo '$(srcdir)/'`test_soft_pkcs11.c
944 test_soft_pkcs11-test_soft_pkcs11.obj: test_soft_pkcs11.c
945 $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_soft_pkcs11_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test_soft_pkcs11-test_soft_pkcs11.obj `if test -f 'test_soft_pkcs11.c'; then $(CYGPATH_W) 'test_soft_pkcs11.c'; else $(CYGPATH_W) '$(srcdir)/test_soft_pkcs11.c'; fi`
947 mostlyclean-libtool:
948 -rm -f *.lo
950 clean-libtool:
951 -rm -rf .libs _libs
952 install-dist_includeHEADERS: $(dist_include_HEADERS)
953 @$(NORMAL_INSTALL)
954 test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
955 @list='$(dist_include_HEADERS)'; for p in $$list; do \
956 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
957 f=$(am__strip_dir) \
958 echo " $(dist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
959 $(dist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
960 done
962 uninstall-dist_includeHEADERS:
963 @$(NORMAL_UNINSTALL)
964 @list='$(dist_include_HEADERS)'; for p in $$list; do \
965 f=$(am__strip_dir) \
966 echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
967 rm -f "$(DESTDIR)$(includedir)/$$f"; \
968 done
969 install-nodist_includeHEADERS: $(nodist_include_HEADERS)
970 @$(NORMAL_INSTALL)
971 test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
972 @list='$(nodist_include_HEADERS)'; for p in $$list; do \
973 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
974 f=$(am__strip_dir) \
975 echo " $(nodist_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
976 $(nodist_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
977 done
979 uninstall-nodist_includeHEADERS:
980 @$(NORMAL_UNINSTALL)
981 @list='$(nodist_include_HEADERS)'; for p in $$list; do \
982 f=$(am__strip_dir) \
983 echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
984 rm -f "$(DESTDIR)$(includedir)/$$f"; \
985 done
987 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
988 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
989 unique=`for i in $$list; do \
990 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
991 done | \
992 $(AWK) ' { files[$$0] = 1; } \
993 END { for (i in files) print i; }'`; \
994 mkid -fID $$unique
995 tags: TAGS
997 TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
998 $(TAGS_FILES) $(LISP)
999 tags=; \
1000 here=`pwd`; \
1001 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1002 unique=`for i in $$list; do \
1003 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1004 done | \
1005 $(AWK) ' { files[$$0] = 1; } \
1006 END { for (i in files) print i; }'`; \
1007 if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
1008 test -n "$$unique" || unique=$$empty_fix; \
1009 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1010 $$tags $$unique; \
1012 ctags: CTAGS
1013 CTAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES) \
1014 $(TAGS_FILES) $(LISP)
1015 tags=; \
1016 here=`pwd`; \
1017 list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1018 unique=`for i in $$list; do \
1019 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1020 done | \
1021 $(AWK) ' { files[$$0] = 1; } \
1022 END { for (i in files) print i; }'`; \
1023 test -z "$(CTAGS_ARGS)$$tags$$unique" \
1024 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1025 $$tags $$unique
1027 GTAGS:
1028 here=`$(am__cd) $(top_builddir) && pwd` \
1029 && cd $(top_srcdir) \
1030 && gtags -i $(GTAGS_ARGS) $$here
1032 distclean-tags:
1033 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1035 check-TESTS: $(TESTS)
1036 @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[ ]'; \
1037 srcdir=$(srcdir); export srcdir; \
1038 list=' $(TESTS) '; \
1039 if test -n "$$list"; then \
1040 for tst in $$list; do \
1041 if test -f ./$$tst; then dir=./; \
1042 elif test -f $$tst; then dir=; \
1043 else dir="$(srcdir)/"; fi; \
1044 if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
1045 all=`expr $$all + 1`; \
1046 case " $(XFAIL_TESTS) " in \
1047 *$$ws$$tst$$ws*) \
1048 xpass=`expr $$xpass + 1`; \
1049 failed=`expr $$failed + 1`; \
1050 echo "XPASS: $$tst"; \
1051 ;; \
1052 *) \
1053 echo "PASS: $$tst"; \
1054 ;; \
1055 esac; \
1056 elif test $$? -ne 77; then \
1057 all=`expr $$all + 1`; \
1058 case " $(XFAIL_TESTS) " in \
1059 *$$ws$$tst$$ws*) \
1060 xfail=`expr $$xfail + 1`; \
1061 echo "XFAIL: $$tst"; \
1062 ;; \
1063 *) \
1064 failed=`expr $$failed + 1`; \
1065 echo "FAIL: $$tst"; \
1066 ;; \
1067 esac; \
1068 else \
1069 skip=`expr $$skip + 1`; \
1070 echo "SKIP: $$tst"; \
1071 fi; \
1072 done; \
1073 if test "$$failed" -eq 0; then \
1074 if test "$$xfail" -eq 0; then \
1075 banner="All $$all tests passed"; \
1076 else \
1077 banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
1078 fi; \
1079 else \
1080 if test "$$xpass" -eq 0; then \
1081 banner="$$failed of $$all tests failed"; \
1082 else \
1083 banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
1084 fi; \
1085 fi; \
1086 dashes="$$banner"; \
1087 skipped=""; \
1088 if test "$$skip" -ne 0; then \
1089 skipped="($$skip tests were not run)"; \
1090 test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
1091 dashes="$$skipped"; \
1092 fi; \
1093 report=""; \
1094 if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
1095 report="Please report to $(PACKAGE_BUGREPORT)"; \
1096 test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
1097 dashes="$$report"; \
1098 fi; \
1099 dashes=`echo "$$dashes" | sed s/./=/g`; \
1100 echo "$$dashes"; \
1101 echo "$$banner"; \
1102 test -z "$$skipped" || echo "$$skipped"; \
1103 test -z "$$report" || echo "$$report"; \
1104 echo "$$dashes"; \
1105 test "$$failed" -eq 0; \
1106 else :; fi
1108 distdir: $(DISTFILES)
1109 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1110 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1111 list='$(DISTFILES)'; \
1112 dist_files=`for file in $$list; do echo $$file; done | \
1113 sed -e "s|^$$srcdirstrip/||;t" \
1114 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1115 case $$dist_files in \
1116 */*) $(MKDIR_P) `echo "$$dist_files" | \
1117 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1118 sort -u` ;; \
1119 esac; \
1120 for file in $$dist_files; do \
1121 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1122 if test -d $$d/$$file; then \
1123 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1124 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1125 cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
1126 fi; \
1127 cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
1128 else \
1129 test -f $(distdir)/$$file \
1130 || cp -p $$d/$$file $(distdir)/$$file \
1131 || exit 1; \
1132 fi; \
1133 done
1134 $(MAKE) $(AM_MAKEFLAGS) \
1135 top_distdir="$(top_distdir)" distdir="$(distdir)" \
1136 dist-hook
1137 check-am: all-am
1138 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
1139 $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
1140 check: $(BUILT_SOURCES)
1141 $(MAKE) $(AM_MAKEFLAGS) check-am
1142 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) all-local
1143 install-binPROGRAMS: install-libLTLIBRARIES
1145 installdirs:
1146 for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"; do \
1147 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1148 done
1149 install: $(BUILT_SOURCES)
1150 $(MAKE) $(AM_MAKEFLAGS) install-am
1151 install-exec: install-exec-am
1152 install-data: install-data-am
1153 uninstall: uninstall-am
1155 install-am: all-am
1156 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1158 installcheck: installcheck-am
1159 install-strip:
1160 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1161 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1162 `test -z '$(STRIP)' || \
1163 echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1164 mostlyclean-generic:
1166 clean-generic:
1167 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1169 distclean-generic:
1170 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1172 maintainer-clean-generic:
1173 @echo "This command is intended for maintainers to use"
1174 @echo "it deletes files that may require special tools to rebuild."
1175 -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1176 clean: clean-am
1178 clean-am: clean-binPROGRAMS clean-checkPROGRAMS clean-generic \
1179 clean-libLTLIBRARIES clean-libtool clean-local mostlyclean-am
1181 distclean: distclean-am
1182 -rm -f Makefile
1183 distclean-am: clean-am distclean-compile distclean-generic \
1184 distclean-tags
1186 dvi: dvi-am
1188 dvi-am:
1190 html: html-am
1192 info: info-am
1194 info-am:
1196 install-data-am: install-dist_includeHEADERS \
1197 install-nodist_includeHEADERS
1198 @$(NORMAL_INSTALL)
1199 $(MAKE) $(AM_MAKEFLAGS) install-data-hook
1201 install-dvi: install-dvi-am
1203 install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
1204 @$(NORMAL_INSTALL)
1205 $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1207 install-html: install-html-am
1209 install-info: install-info-am
1211 install-man:
1213 install-pdf: install-pdf-am
1215 install-ps: install-ps-am
1217 installcheck-am:
1219 maintainer-clean: maintainer-clean-am
1220 -rm -f Makefile
1221 maintainer-clean-am: distclean-am maintainer-clean-generic
1223 mostlyclean: mostlyclean-am
1225 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1226 mostlyclean-libtool
1228 pdf: pdf-am
1230 pdf-am:
1232 ps: ps-am
1234 ps-am:
1236 uninstall-am: uninstall-binPROGRAMS uninstall-dist_includeHEADERS \
1237 uninstall-libLTLIBRARIES uninstall-nodist_includeHEADERS
1238 @$(NORMAL_INSTALL)
1239 $(MAKE) $(AM_MAKEFLAGS) uninstall-hook
1241 .MAKE: install-am install-data-am install-exec-am install-strip \
1242 uninstall-am
1244 .PHONY: CTAGS GTAGS all all-am all-local check check-TESTS check-am \
1245 check-local clean clean-binPROGRAMS clean-checkPROGRAMS \
1246 clean-generic clean-libLTLIBRARIES clean-libtool clean-local \
1247 ctags dist-hook distclean distclean-compile distclean-generic \
1248 distclean-libtool distclean-tags distdir dvi dvi-am html \
1249 html-am info info-am install install-am install-binPROGRAMS \
1250 install-data install-data-am install-data-hook \
1251 install-dist_includeHEADERS install-dvi install-dvi-am \
1252 install-exec install-exec-am install-exec-hook install-html \
1253 install-html-am install-info install-info-am \
1254 install-libLTLIBRARIES install-man \
1255 install-nodist_includeHEADERS install-pdf install-pdf-am \
1256 install-ps install-ps-am install-strip installcheck \
1257 installcheck-am installdirs maintainer-clean \
1258 maintainer-clean-generic mostlyclean mostlyclean-compile \
1259 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1260 tags uninstall uninstall-am uninstall-binPROGRAMS \
1261 uninstall-dist_includeHEADERS uninstall-hook \
1262 uninstall-libLTLIBRARIES uninstall-nodist_includeHEADERS
1265 install-suid-programs:
1266 @foo='$(bin_SUIDS)'; \
1267 for file in $$foo; do \
1268 x=$(DESTDIR)$(bindir)/$$file; \
1269 if chown 0:0 $$x && chmod u+s $$x; then :; else \
1270 echo "*"; \
1271 echo "* Failed to install $$x setuid root"; \
1272 echo "*"; \
1273 fi; done
1275 install-exec-hook: install-suid-programs
1277 install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
1278 @foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
1279 for f in $$foo; do \
1280 f=`basename $$f`; \
1281 if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1282 else file="$$f"; fi; \
1283 if cmp -s $$file $(buildinclude)/$$f 2> /dev/null ; then \
1284 : ; else \
1285 echo " $(CP) $$file $(buildinclude)/$$f"; \
1286 $(CP) $$file $(buildinclude)/$$f; \
1287 fi ; \
1288 done ; \
1289 foo='$(nobase_include_HEADERS)'; \
1290 for f in $$foo; do \
1291 if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
1292 else file="$$f"; fi; \
1293 $(mkdir_p) $(buildinclude)/`dirname $$f` ; \
1294 if cmp -s $$file $(buildinclude)/$$f 2> /dev/null ; then \
1295 : ; else \
1296 echo " $(CP) $$file $(buildinclude)/$$f"; \
1297 $(CP) $$file $(buildinclude)/$$f; \
1298 fi ; \
1299 done
1301 all-local: install-build-headers
1303 check-local::
1304 @if test '$(CHECK_LOCAL)' = "no-check-local"; then \
1305 foo=''; elif test '$(CHECK_LOCAL)'; then \
1306 foo='$(CHECK_LOCAL)'; else \
1307 foo='$(PROGRAMS)'; fi; \
1308 if test "$$foo"; then \
1309 failed=0; all=0; \
1310 for i in $$foo; do \
1311 all=`expr $$all + 1`; \
1312 if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
1313 echo "PASS: $$i"; \
1314 else \
1315 echo "FAIL: $$i"; \
1316 failed=`expr $$failed + 1`; \
1317 fi; \
1318 done; \
1319 if test "$$failed" -eq 0; then \
1320 banner="All $$all tests passed"; \
1321 else \
1322 banner="$$failed of $$all tests failed"; \
1323 fi; \
1324 dashes=`echo "$$banner" | sed s/./=/g`; \
1325 echo "$$dashes"; \
1326 echo "$$banner"; \
1327 echo "$$dashes"; \
1328 test "$$failed" -eq 0 || exit 1; \
1331 .x.c:
1332 @cmp -s $< $@ 2> /dev/null || cp $< $@
1333 #NROFF_MAN = nroff -man
1334 .1.cat1:
1335 $(NROFF_MAN) $< > $@
1336 .3.cat3:
1337 $(NROFF_MAN) $< > $@
1338 .5.cat5:
1339 $(NROFF_MAN) $< > $@
1340 .8.cat8:
1341 $(NROFF_MAN) $< > $@
1343 dist-cat1-mans:
1344 @foo='$(man1_MANS)'; \
1345 bar='$(man_MANS)'; \
1346 for i in $$bar; do \
1347 case $$i in \
1348 *.1) foo="$$foo $$i";; \
1349 esac; done ;\
1350 for i in $$foo; do \
1351 x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
1352 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1353 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1354 done
1356 dist-cat3-mans:
1357 @foo='$(man3_MANS)'; \
1358 bar='$(man_MANS)'; \
1359 for i in $$bar; do \
1360 case $$i in \
1361 *.3) foo="$$foo $$i";; \
1362 esac; done ;\
1363 for i in $$foo; do \
1364 x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
1365 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1366 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1367 done
1369 dist-cat5-mans:
1370 @foo='$(man5_MANS)'; \
1371 bar='$(man_MANS)'; \
1372 for i in $$bar; do \
1373 case $$i in \
1374 *.5) foo="$$foo $$i";; \
1375 esac; done ;\
1376 for i in $$foo; do \
1377 x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
1378 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1379 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1380 done
1382 dist-cat8-mans:
1383 @foo='$(man8_MANS)'; \
1384 bar='$(man_MANS)'; \
1385 for i in $$bar; do \
1386 case $$i in \
1387 *.8) foo="$$foo $$i";; \
1388 esac; done ;\
1389 for i in $$foo; do \
1390 x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1391 echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1392 $(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1393 done
1395 dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1397 install-cat-mans:
1398 $(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1400 uninstall-cat-mans:
1401 $(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1403 install-data-hook: install-cat-mans
1404 uninstall-hook: uninstall-cat-mans
1406 .et.h:
1407 $(COMPILE_ET) $<
1408 .et.c:
1409 $(COMPILE_ET) $<
1412 # Useful target for debugging
1415 check-valgrind:
1416 tobjdir=`cd $(top_builddir) && pwd` ; \
1417 tsrcdir=`cd $(top_srcdir) && pwd` ; \
1418 env TESTS_ENVIRONMENT="$${tobjdir}/libtool --mode execute valgrind --leak-check=full --trace-children=yes --quiet -q --num-callers=30 --suppressions=$${tsrcdir}/cf/valgrind-suppressions" make check
1421 # Target to please samba build farm, builds distfiles in-tree.
1422 # Will break when automake changes...
1425 distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1426 list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1427 if test "$$subdir" != .; then \
1428 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1429 fi ; \
1430 done
1431 $(libhx509_la_OBJECTS): $(srcdir)/version-script.map
1433 $(gen_files_ocsp) ocsp_asn1.h: ocsp_asn1_files
1434 $(gen_files_pkcs10) pkcs10_asn1.h: pkcs10_asn1_files
1435 $(gen_files_crmf) crmf_asn1.h: crmf_asn1_files
1437 ocsp_asn1_files: $(asn1_compile) $(srcdir)/ocsp.asn1
1438 $(asn1_compile) --preserve-binary=OCSPTBSRequest --preserve-binary=OCSPResponseData $(srcdir)/ocsp.asn1 ocsp_asn1 || (rm -f ocsp_asn1_files ; exit 1)
1440 pkcs10_asn1_files: $(asn1_compile) $(srcdir)/pkcs10.asn1
1441 $(asn1_compile) --preserve-binary=CertificationRequestInfo $(srcdir)/pkcs10.asn1 pkcs10_asn1 || (rm -f pkcs10_asn1_files ; exit 1)
1443 crmf_asn1_files: $(asn1_compile) $(srcdir)/crmf.asn1
1444 $(asn1_compile) $(srcdir)/crmf.asn1 crmf_asn1 || (rm -f crmf_asn1_files ; exit 1)
1446 $(libhx509_la_OBJECTS): $(srcdir)/hx509-protos.h $(srcdir)/hx509-private.h
1448 $(srcdir)/hx509-protos.h:
1449 cd $(srcdir) && perl ../../cf/make-proto.pl -R '^(_|^C)' -E HX509_LIB_FUNCTION -q -P comment -o hx509-protos.h $(dist_libhx509_la_SOURCES) || rm -f hx509-protos.h
1451 $(srcdir)/hx509-private.h:
1452 cd $(srcdir) && perl ../../cf/make-proto.pl -q -P comment -p hx509-private.h $(dist_libhx509_la_SOURCES) || rm -f hx509-private.h
1454 hxtool-commands.c hxtool-commands.h: hxtool-commands.in $(SLC)
1455 $(SLC) $(srcdir)/hxtool-commands.in
1457 $(hxtool_OBJECTS): hxtool-commands.h
1459 clean-local:
1460 @echo "cleaning PKITS" ; rm -rf PKITS_data
1462 test_ca: test_ca.in Makefile
1463 $(do_subst) < $(srcdir)/test_ca.in > test_ca.tmp
1464 chmod +x test_ca.tmp
1465 mv test_ca.tmp test_ca
1467 test_cert: test_cert.in Makefile
1468 $(do_subst) < $(srcdir)/test_cert.in > test_cert.tmp
1469 chmod +x test_cert.tmp
1470 mv test_cert.tmp test_cert
1472 test_chain: test_chain.in Makefile
1473 $(do_subst) < $(srcdir)/test_chain.in > test_chain.tmp
1474 chmod +x test_chain.tmp
1475 mv test_chain.tmp test_chain
1477 test_cms: test_cms.in Makefile
1478 $(do_subst) < $(srcdir)/test_cms.in > test_cms.tmp
1479 chmod +x test_cms.tmp
1480 mv test_cms.tmp test_cms
1482 test_crypto: test_crypto.in Makefile
1483 $(do_subst) < $(srcdir)/test_crypto.in > test_crypto.tmp
1484 chmod +x test_crypto.tmp
1485 mv test_crypto.tmp test_crypto
1487 test_nist: test_nist.in Makefile
1488 $(do_subst) < $(srcdir)/test_nist.in > test_nist.tmp
1489 chmod +x test_nist.tmp
1490 mv test_nist.tmp test_nist
1492 test_nist2: test_nist2.in Makefile
1493 $(do_subst) < $(srcdir)/test_nist2.in > test_nist2.tmp
1494 chmod +x test_nist2.tmp
1495 mv test_nist2.tmp test_nist2
1497 test_pkcs11: test_pkcs11.in Makefile
1498 $(do_subst) < $(srcdir)/test_pkcs11.in > test_pkcs11.tmp
1499 chmod +x test_pkcs11.tmp
1500 mv test_pkcs11.tmp test_pkcs11
1502 test_java_pkcs11: test_java_pkcs11.in Makefile
1503 $(do_subst) < $(srcdir)/test_java_pkcs11.in > test_java_pkcs11.tmp
1504 chmod +x test_java_pkcs11.tmp
1505 mv test_java_pkcs11.tmp test_java_pkcs11
1507 test_nist_cert: test_nist_cert.in Makefile
1508 $(do_subst) < $(srcdir)/test_nist_cert.in > test_nist_cert.tmp
1509 chmod +x test_nist_cert.tmp
1510 mv test_nist_cert.tmp test_nist_cert
1512 test_nist_pkcs12: test_nist_pkcs12.in Makefile
1513 $(do_subst) < $(srcdir)/test_nist_pkcs12.in > test_nist_pkcs12.tmp
1514 chmod +x test_nist_pkcs12.tmp
1515 mv test_nist_pkcs12.tmp test_nist_pkcs12
1517 test_req: test_req.in Makefile
1518 $(do_subst) < $(srcdir)/test_req.in > test_req.tmp
1519 chmod +x test_req.tmp
1520 mv test_req.tmp test_req
1522 test_windows: test_windows.in Makefile
1523 $(do_subst) < $(srcdir)/test_windows.in > test_windows.tmp
1524 chmod +x test_windows.tmp
1525 mv test_windows.tmp test_windows
1527 test_query: test_query.in Makefile
1528 $(do_subst) < $(srcdir)/test_query.in > test_query.tmp
1529 chmod +x test_query.tmp
1530 mv test_query.tmp test_query
1531 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1532 # Otherwise a system limit (for SysV at least) may be exceeded.
1533 .NOEXPORT: